__gnu_pbds(3)

NAME
__gnu_pbds -

SYNOPSIS

  Classes
struct associative_tag
class basic_branch
struct basic_branch_tag
class basic_hash_table
struct basic_hash_tag
struct basic_invalidation_guarantee
struct binary_heap_tag
struct binomial_heap_tag
class cc_hash_max_collision_check_resize_trigger
class cc_hash_table
struct cc_hash_tag
struct container_error
struct container_tag
struct container_traits
struct container_traits_base
struct container_traits_base< binary_heap_tag >
struct container_traits_base< binomial_heap_tag >
struct container_traits_base< cc_hash_tag >
struct container_traits_base< gp_hash_tag >
struct container_traits_base< list_update_tag >
struct container_traits_base< ov_tree_tag >
struct container_traits_base< pairing_heap_tag >
struct container_traits_base< pat_trie_tag >
struct container_traits_base< rb_tree_tag >
struct container_traits_base< rc_binomial_heap_tag >
struct container_traits_base< splay_tree_tag >
struct container_traits_base< thin_heap_tag >
class direct_mask_range_hashing
class direct_mod_range_hashing
class gp_hash_table
struct gp_hash_tag
class hash_exponential_size_policy
class hash_load_check_resize_trigger
class hash_prime_size_policy
class hash_standard_resize_policy
struct insert_error
struct join_error
class linear_probe_fn
class list_update
struct list_update_tag
class lu_counter_policy
class lu_move_to_front_policy
struct null_node_update
struct null_type
struct ov_tree_tag
struct pairing_heap_tag
struct pat_trie_tag
struct point_invalidation_guarantee
class priority_queue
struct priority_queue_tag
class quadratic_probe_fn
struct range_invalidation_guarantee
struct rb_tree_tag
struct rc_binomial_heap_tag
struct resize_error
class sample_probe_fn
class sample_range_hashing
class sample_ranged_hash_fn
class sample_ranged_probe_fn
class sample_resize_policy
class sample_resize_trigger
class sample_size_policy
class sample_tree_node_update
struct sample_trie_access_traits
class sample_trie_node_update
struct sample_update_policy
struct sequence_tag
struct splay_tree_tag
struct string_tag
struct thin_heap_tag
class tree
class tree_order_statistics_node_update
struct tree_tag
class trie
class trie_order_statistics_node_update
class trie_prefix_search_node_update
struct trie_string_access_traits
struct trie_tag
struct trivial_iterator_tag

  Typedefs
typedef void trivial_iterator_difference_type

  Functions
void __throw_container_error ()
void __throw_insert_error ()
void __throw_join_error ()
void __throw_resize_error ()

Detailed Description

GNU extensions for policy-based data structures for public use.

Author

Generated automatically by Doxygen for libstdc++ from the source code.